### Method

# Gio DtlsConnection shutdown_async

since: 2.48

#### Declaration

    void
    g_dtls_connection_shutdown_async (
      GDtlsConnection* conn,
      gboolean shutdown_read,
      gboolean shutdown_write,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously shut down part or all of the DTLS connection. See `g_dtls_connection_shutdown()` for more information.

Available since: 2.48

#### Parameters

`shutdown_read`

  Type: `gboolean`

  `TRUE` to stop reception of incoming datagrams.

`shutdown_write`

  Type: `gboolean`

  `TRUE` to stop sending outgoing datagrams.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the shutdown operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.